<?php
namespace Pinpoint\CarouselManager\Model;
/**
 * Class Slide
 * @package Pinpoint\CarouselManager\Model
 */
class Slide
    extends \Magento\Framework\Model\AbstractModel
    implements \Pinpoint\CarouselManager\Api\Data\SlideInterface, \Magento\Framework\DataObject\IdentityInterface
{
    /**
     *
     */
    const CACHE_TAG = 'pinpoint_carouselmanager_slide';

    /**
     *
     */
    protected function _construct()
    {
        $this->_init(
            'Pinpoint\CarouselManager\Model\ResourceModel\Slide'
        );
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}
