<?php
namespace Pinpoint\CarouselManager\Ui\Component\Listing\DataProviders\Pinpoint\Carouselmanager;

/**
 * Class Listing
 * @package Pinpoint\CarouselManager\Ui\Component\Listing\DataProviders\Pinpoint\Carouselmanager
 */
class Listing extends \Magento\Ui\DataProvider\AbstractDataProvider
{

    /**
     * @var \Pinpoint\CarouselManager\Model\ResourceModel\Carousel\CollectionFactory
     */
    protected $collection;

    /**
     * Listing constructor.
     * @param string $name
     * @param string $primaryFieldName
     * @param string $requestFieldName
     * @param \Pinpoint\CarouselManager\Model\ResourceModel\Carousel\CollectionFactory $collectionFactory
     * @param array $meta
     * @param array $data
     */
    public function __construct(
        $name,
        $primaryFieldName,
        $requestFieldName,
        \Pinpoint\CarouselManager\Model\ResourceModel\Carousel\CollectionFactory $collectionFactory,
        array $meta = [],
        array $data = []
    ) {
        parent::__construct($name, $primaryFieldName, $requestFieldName, $meta, $data);
        $this->collection = $collectionFactory->create();
    }
}
